# FoundationClasses
TKAdvTools
Materials

# Materials_Color Class Reference

This class encapsulates a Quantity_Color in a
Transient object, to be used in an ObjectProperty
from the package Dynamic.
.

`#include <Materials_Color.hxx>`

Inheritance diagram for Materials_Color:

[legend]

## Public Member Functions

Standard_EXPORT | Materials_Color ()
| Creates an empty instance of Color. .
Standard_EXPORT | Materials_Color (const Quantity_Color &acolor)
| Creates an instance of Color, with <acolor> as color. .
Standard_EXPORT void | Color (const Quantity_Color &acolor)
| Sets <acolor> into <me>. .
Standard_EXPORT Quantity_Color | Color () const
| Returns a Quantity_Color corresponding to <me>. .
Standard_EXPORT void | Color (const Quantity_TypeOfColor aTypeOfColor, Standard_Real &Reel1, Standard_Real &Reel2, Standard_Real &Reel3) const
| Get the values ( RGB or HLS ) between 0.0 and 1.0 .
Standard_EXPORT void | Color255 (const Quantity_TypeOfColor aTypeOfColor, Standard_Real &Reel1, Standard_Real &Reel2, Standard_Real &Reel3) const
| Get the values ( RGB or HLS ) between 0.0 and 255.0 .
Standard_EXPORT void | SetColor (const Quantity_TypeOfColor aTypeOfColor, const Standard_Real Reel1, const Standard_Real Reel2, const Standard_Real Reel3)
| Set the values ( RGB or HLS ) between 0.0 and 1.0 .
Standard_EXPORT void | SetColor255 (const Quantity_TypeOfColor aTypeOfColor, const Standard_Real Reel1, const Standard_Real Reel2, const Standard_Real Reel3)
| Set the values ( RGB or HLS ) between 0.0 and 255.0 .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Quantity_Color | thecolor

## Constructor & Destructor Documentation

Standard_EXPORT Materials_Color::Materials_Color | ( |  | ) |

Standard_EXPORT Materials_Color::Materials_Color | ( | const Quantity_Color & | acolor | ) |

## Member Function Documentation

Standard_EXPORT void Materials_Color::Color | ( | const Quantity_TypeOfColor | aTypeOfColor,
|  | Standard_Real & | Reel1,
|  | Standard_Real & | Reel2,
|  | Standard_Real & | Reel3
| ) | const

Standard_EXPORT Quantity_Color Materials_Color::Color | ( |  | ) | const

Standard_EXPORT void Materials_Color::Color | ( | const Quantity_Color & | acolor | ) |

Standard_EXPORT void Materials_Color::Color255 | ( | const Quantity_TypeOfColor | aTypeOfColor,
|  | Standard_Real & | Reel1,
|  | Standard_Real & | Reel2,
|  | Standard_Real & | Reel3
| ) | const

Standard_EXPORT const Materials_Color::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Materials_Color::SetColor | ( | const Quantity_TypeOfColor | aTypeOfColor,
|  | const Standard_Real | Reel1,
|  | const Standard_Real | Reel2,
|  | const Standard_Real | Reel3
| ) |

Standard_EXPORT void Materials_Color::SetColor255 | ( | const Quantity_TypeOfColor | aTypeOfColor,
|  | const Standard_Real | Reel1,
|  | const Standard_Real | Reel2,
|  | const Standard_Real | Reel3
| ) |

## Field Documentation

Quantity_Color Materials_Color::thecolor `[private]`

The documentation for this class was generated from the following file:

- Materials_Color.hxx